%global commit 287e4bee6fd430ffb52604049de80a27a77ff6b4
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:		libs3
Version:	4.1
Release:    1%{?dist}
Summary:	C Library and Tools for Amazon S3 Access

License:	LGPLv3+ or GPLv2+
URL:		https://github.com/bji/libs3
Source0:	https://github.com/bji/%{name}/archive/%{commit}/%{name}-%{version}-%{shortcommit}.tar.gz
Patch0:		libs3-openssl3.patch

BuildRequires:	make
BuildRequires:	gcc
BuildRequires:	curl-devel
BuildRequires:	libxml2-devel
BuildRequires:	openssl-devel

%description
This package includes the libs3 shared object library, needed to run
applications compiled against libs3, and additionally contains the s3
utility for accessing Amazon S3.

%package	devel
Summary:	Development files for %{name}
Requires:	%{name} = %{version}-%{release}

%description	devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q -n %{name}-%{commit}
%patch0 -p1

%build
sed -e 's!^CFLAGS +=!& %{optflags}!' \
    -e 's!^LDFLAGS =!& %{?__global_ldflags}!' \
    -e 's!$(INSTALL) -Dps!$(INSTALL) -Dp!' \
    -i GNUmakefile

make %{?_smp_mflags} exported VERBOSE=1

%install
make %{?_smp_mflags} install VERBOSE=1 \
     DESTDIR=%{buildroot}%{_prefix} LIBDIR=%{buildroot}%{_libdir}
rm %{buildroot}%{_libdir}/libs3.a
chmod 755 %{buildroot}%{_libdir}/libs3.so.4.1

%check
make %{?_smp_mflags} test VERBOSE=1


%files
%{_bindir}/s3
%{_libdir}/libs3.so.*
%license COPYING-LGPLv3 COPYING-GPLv2 LICENSE

%files devel
%{_includedir}/libs3.h
%{_libdir}/libs3.so

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.1-1
- initial build
